%define upstream_name    Net-HTTPS-NB
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Non-blocking HTTPS client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL) >= 0.980.0
BuildRequires: perl(Net::HTTP)
BuildRequires: perl(Net::HTTPS)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Same interface as Net::HTTPS but it will never try multiple reads when the
read_response_headers() or read_entity_body() methods are invoked. In
addition allows non-blocking connect.

* If read_response_headers() did not see enough data to complete the
  headers an empty list is returned.

* If read_entity_body() did not see new entity data in its read the value
  -1 is returned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.150.0-6.mga10
+ Revision: 2204171
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.150.0-5.mga9
+ Revision: 1809925
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-4.mga8
+ Revision: 1505557
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-3.mga7
+ Revision: 1285125
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.150.0-2.mga7
+ Revision: 1165854
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.150.0-1.mga7
+ Revision: 1157244
- new version 0.15

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-3.mga6
+ Revision: 1031085
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.140.0-2.mga6
+ Revision: 971331
- Mageia 6 Mass Rebuild
+ sander85 <sander85>
- update to 0.14

* Wed Oct 14 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 891476
- update to 0.14

* Sun Oct 19 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 788555
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 749262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 685663
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 527941
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 kharec <kharec> 0.130.0-1.mga4
+ Revision: 442978
- update to 0.13

* Fri Feb 22 2013 kharec <kharec> 0.120.0-1.mga3
+ Revision: 399852
- imported package perl-Net-HTTPS-NB


* Fri Feb 22 2013 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
